Bug Hunting Session
Bug 93141 - last colon of emojis not correctly removed by AutoCorrect in Calc and Impress
Summary: last colon of emojis not correctly removed by AutoCorrect in Calc and Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.0.0.4 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2015-08-05 13:43 UTC by Ajinkya Dahale
Modified: 2016-10-25 19:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ajinkya Dahale 2015-08-05 13:43:52 UTC
As soon as the last colon in any of the escape text is entered, apart from replacing it with the appropriate replacement, AutoCorrect also adds a colon in the end. This might be a bug or a feature (if intended for chaining). If it is a feature, it would be better to place it as an option, and add it to Writer too.
Comment 1 tommy27 2015-08-12 07:26:26 UTC
please give a concrete step by step example how to reproduce the bug
screenshots may help too
Comment 2 tommy27 2015-08-23 09:21:57 UTC
status NEEDINFO until receiving feedback from user.
Comment 3 Ajinkya Dahale 2015-08-28 16:09:02 UTC
(In reply to tommy27 from comment #1)
> please give a concrete step by step example how to reproduce the bug
> screenshots may help too

Steps to reproduce:
1) Open Calc or Impress
2) Set locale to "English (USA)" (this also seems to work in English (UK), but English (India) doesn't seem to support auto correct at all. Have not tested any other language settings).
3) Enter any escape sequence demarcated but colons set up in AutoCorrect, for example ":--:" (without quotes) (some sequences don't even work at all, for example "--", but any that start and end with a colon seem to exhibit this particular bug).
4) Notice the result as soon as you enter the closing colon.

Expected output:
–

Actual output:
–:
Comment 4 tommy27 2015-08-29 13:01:03 UTC
ok, you are right. 
bug reproduced under Win8.1 x64 using LibO 5.0.0.4 and a recent 5.1.0.0 alpha daily build

the :emoji: autocorrect does not work as expected in Calc and Impress and has a buggy behaviour in respect to Writer.

if you type :beta: in Writer you correctly get β

while if you type it in Calc or Impress you get β: which is incorrect

I edit summary notes and alerted Lazlo Nemeth who's the main developer of this code part.
Comment 5 Commit Notification 2015-09-25 10:06:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7e7bf139a615f68345c36572d12219bcf2c2658

tdf#93141 Calc/Impress: remove last colon of emoji short names

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 László Németh 2015-09-25 10:26:58 UTC
Fixed in the master, and it will be fixed in LibreOffice 5.0, too. Thanks for your help!
Comment 7 Commit Notification 2015-09-26 04:34:49 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e15cf04b5e167de1bfc5c19019dcae2042e1414&h=libreoffice-5-0

tdf#93141 Calc/Impress: remove last colon of emoji short names

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-18 09:50:36 UTC Comment hidden (obsolete)